/*
 * Copyright (C) 2010 Olivier PARISOT <parisot_olivier@yahoo.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.doopyon.ravanelab.nn.training.exception;

/**
 * 
 * 
 *
 *
 */
public final class NeuralNetworkTrainingException extends Exception 
{
	//
	// Static fields
	//
	
	/** Static fields. */
	private static final long serialVersionUID=-9190516831721062000L;
	
	
	//
	// Constructors
	//

	/**
	 * Constructor.
	 */
	public NeuralNetworkTrainingException() 
	{ 
		super();
	}

	/**
	 * Constructor.
	 * @param message
	 */
	public NeuralNetworkTrainingException(String message) 
	{
		super(message);
	}

	/**
	 * Constructor.
	 * @param cause
	 */
	public NeuralNetworkTrainingException(Throwable cause) 
	{
		super(cause);
	}

	/**
	 * Constructor.
	 * @param message
	 * @param cause
	 */
	public NeuralNetworkTrainingException(String message, Throwable cause) 
	{
		super(message, cause);
	}

}
